Retrieve a valuation
curl --request GET \
--url https://app.sure.am/api/v1/valuations/{id} \
--header 'X-Api-Key: <api-key>'import requests
url = "https://app.sure.am/api/v1/valuations/{id}"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://app.sure.am/api/v1/valuations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"date": "2023-12-25",
"amount": "<string>",
"currency": "<string>",
"kind": "<string>",
"account": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"account_type": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"notes": "<string>"
}{
"error": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}Valuations
Retrieve a valuation
GET
/
api
/
v1
/
valuations
/
{id}
Retrieve a valuation
Authorizations
API key for authentication. Generate one from your account settings.
Path Parameters
Valuation entry ID
Response
valuation retrieved
The entry ID for this valuation
Formatted balance amount
The type of valuation (e.g. reconciliation)
Show child attributes
Show child attributes
Was this page helpful?
⌘I